# Change Log

## \[1.1.0] - 2025-12-28

#### Added

* [User API](#user-api)
* [Matters API](#matters-api)
* We have added "customFields" to the `job-applications` response

#### Matters API

Flo API users now have the ability to upload matter data via our API. &#x20;

#### User API

Flo API users now have the ability to upload users via our API

#### HRIS API Response Change Diff

```json
[
  {
    "firstName": "Jane",
    "lastName": "Doe",
    ...
    "customFields": [
      {
        "customFieldTitle": "Years of Experience",
        "customFieldAnswer": ["5"]
      },
      {
        "customFieldTitle": "Preferred Practice Areas",
        "customFieldAnswer": ["Litigation", "Corporate Law", "Employment Law"]
      },
      {
        "customFieldTitle": "Bar Admission Date",
        "customFieldAnswer": ["2020-06-15"]
      },
      {
        "customFieldTitle": "Additional Notes",
        "customFieldAnswer": null
      }
    ]
...
}
```

## \[1.1.0] - 2025-12-03

#### Added

* We have added 5 new fields to the `job-applications` response:
  * `addressLine1` (string): Candidate address line 1 for job applications.
  * `addressLine2` (string): Candidate address line 2 for job applications.
  * `state` (string): Candidate state for job applications.
  * `city` (string): Candidate city for job applications.
  * `zipCode` (string): Candidate zip code for job applications.

#### API Response Change Diff

```json
[
  {
    "firstName": "Jane",
    "lastName": "Doe",
    ...
    "startDate": "2025-10-10",
    "salary": 175000,
+   "addressLine1": "1428 Elm Street",
+   "addressLine2": "Apartment 101",
+   "city": "Springfield",
+   "state": "Illinois",
+   "zipCode": "62704",
    "jobApplicationStatuses": [
      {
        "statusName": "Application Received",
        "statusBucketName": "Applied",
        "statusUpdatedAt": "2025-10-01T22:07:44Z"
      },
...
}
```

#### Changed

* None.

#### Deprecated

* None.

#### Removed

* None.

#### Fixed

* None.

#### Security

* None.

## \[1.0.0] - 2025-11-05

#### Added

* Initial release of the Flo Recruit Public API.
* New endpoint for authenticating into Flo Platform

  ```
  https://florecruit.com/app/{org_name}/admin/auth/ 
  ```
* New endpoint added for Job Application Data&#x20;

  ```
  /v1/job-applications
  ```

#### Changed

* N/A (first release)

#### Deprecated

* None.

#### Removed

* None.

#### Fixed

* N/A (initial version)

#### Security

* Enforced TLS 1.2+ for all API traffic.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.joinflo.com/changelog/change-log.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
